Epson Stylus Pro 4000 Professional Edition

Selected FAQ

Q:
Who do I call for assistance with ColorBurst issues?
A:
If you bought the version that comes bundled with the Stylus Pro 4000 (Windows version 7.4 or higher; Mac version 3.7 or higher), you can contact Epson.

For any other version of ColorBurst, contact ColorBurst for support.

Was this helpful? Yes No Didn't Apply

Viewed FAQs

Return to Main FAQs Page